Skip to main content
GET
/
v1
/
customer-portal
/
customer-session
/
user
Get Authenticated Portal User
curl --request GET \
  --url https://api.spairehq.com/v1/customer-portal/customer-session/user \
  --header 'Authorization: Bearer <token>'
{
  "type": "<string>",
  "name": "<string>",
  "email": "<string>",
  "customer_id": "<string>",
  "member_id": "<string>",
  "role": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.

Response

200 - application/json

Successful Response

Information about the authenticated portal user.

type
string
required

Type of authenticated user: 'customer' or 'member'

name
string | null
required

User's name, if available.

email
string
required

User's email address.

customer_id
string<uuid4>
required

Associated customer ID.

member_id
string<uuid4> | null

Member ID. Only set for members.

role
string | null

Member role (owner, billing_manager, member). Only set for members.